<template>
  <ul class="ml-4">
    <li>
      {{ objective.name }}
      <objective-list
        v-for="childObjective in objective.objectives"
        :key="Math.random()"
        :objective="childObjective"
      />
    </li>
  </ul>
</template>

<script lang="ts">
  import Vue from 'vue'
  import { Objective } from '~/utils/models'

  export default Vue.extend({
    name: 'ObjectiveList',

    props: {
      objective: {
        type: Object as () => Objective,
        default() {
          return []
        }
      }
    }
  })
</script>
